Error launching Virtualbox on kali 2

TechnoBOY

Padawan
Installing Virtualbox was a headache.After all these installation process there is an error when launching VB
Code:
WARNING: The character device /dev/vboxdrv does not exist.
	 Please install the virtualbox-dkms package and the appropriate
	 headers, most likely linux-headers-686.

	 You will not be able to start VMs until this problem is fixed.
 

Minion

Conversation Architect
Which version of virtualbox you are using?I am using latest one and facing no issues.You may also try VM player.
 
OP
TechnoBOY

TechnoBOY

Padawan
Which version of virtualbox you are using?I am using latest one and facing no issues.You may also try VM player.
When i run
Code:
apt-get install virtualbox-dkms
i get
Code:
Reading package lists... Done
Building dependency tree       
Reading state information... Done
virtualbox-dkms is already the newest version (4.3.28-dfsg-1kali1+b1).
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
3 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Do you want to continue? [Y/n] y
Setting up virtualbox (4.3.28-dfsg-1kali1+b1) ...
insserv: script virtualbox: service vboxdrv already provided!
insserv: exiting now!
update-rc.d: error: insserv rejected the script header
dpkg: error processing package virtualbox (--configure):
 subprocess installed post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of virtualbox-qt:
 virtualbox-qt depends on virtualbox (= 4.3.28-dfsg-1kali1+b1); however:
  Package virtualbox is not configured yet.
  Package virtualbox-4.3 which provides virtualbox is not installed.

dpkg: error processing package virtualbox-qt (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of virtualbox-dkms:
 virtualbox-dkms depends on virtualbox (>= 4.3.28-dfsg-1kali1); however:
  Package virtualbox is not configured yet.
  Package virtualbox-4.3 which provides virtualbox is not installed.

dpkg: error processing package virtualbox-dkms (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 virtualbox
 virtualbox-qt
 virtualbox-dkms
E: Sub-process /usr/bin/dpkg returned an error code (1)
In GUI when i try to start up VMs Get this error
Code:
Kernel driver not installed (rc=-1908)

The VirtualBox Linux kernel driver (vboxdrv) is either not loaded or there is a permission problem with /dev/vboxdrv. Please reinstall the kernel module by executing

'[CODE]/etc/init.d/vboxdrv setup
'

as root. If it is available in your distribution, you should install the DKMS package first. This package keeps track of Linux kernel changes and recompiles the vboxdrv kernel module if necessary.
[/CODE]
When '
Code:
/etc/init.d/vboxdrv setup
'
got this
Code:
Stopping VirtualBox kernel modules ...done.
Uninstalling old VirtualBox DKMS kernel modules/etc/init.d/vboxdrv: 302: /etc/init.d/vboxdrv: /usr/share/virtualbox/src/vboxhost/do_dkms: not found
 ...done.
Trying to register the VirtualBox kernel modules using DKMS/etc/init.d/vboxdrv: 327: /etc/init.d/vboxdrv: /usr/share/virtualbox/src/vboxhost/do_dkms: not found
 ...failed!
  (Failed, trying without DKMS)
Recompiling VirtualBox kernel modules ...failed!
  (Look at /var/log/vbox-install.log to find out what went wrong)
And this is what in
Code:
/etc/init.d/vboxdrv: 334: /etc/init.d/vboxdrv: /usr/share/virtualbox/src/vboxhost/build_in_tmp: not found
 
Last edited:

ratul

█████████████████
When i run
Code:
apt-get install virtualbox-dkms
i get
Code:
Reading package lists... Done
Building dependency tree       
Reading state information... Done
virtualbox-dkms is already the newest version (4.3.28-dfsg-1kali1+b1).
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
3 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Do you want to continue? [Y/n] y
Setting up virtualbox (4.3.28-dfsg-1kali1+b1) ...
insserv: script virtualbox: service vboxdrv already provided!
insserv: exiting now!
update-rc.d: error: insserv rejected the script header
dpkg: error processing package virtualbox (--configure):
 subprocess installed post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of virtualbox-qt:
 virtualbox-qt depends on virtualbox (= 4.3.28-dfsg-1kali1+b1); however:
  Package virtualbox is not configured yet.
  Package virtualbox-4.3 which provides virtualbox is not installed.

dpkg: error processing package virtualbox-qt (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of virtualbox-dkms:
 virtualbox-dkms depends on virtualbox (>= 4.3.28-dfsg-1kali1); however:
  Package virtualbox is not configured yet.
  Package virtualbox-4.3 which provides virtualbox is not installed.

dpkg: error processing package virtualbox-dkms (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 virtualbox
 virtualbox-qt
 virtualbox-dkms
E: Sub-process /usr/bin/dpkg returned an error code (1)
In GUI when i try to start up VMs Get this error
Code:
Kernel driver not installed (rc=-1908)

The VirtualBox Linux kernel driver (vboxdrv) is either not loaded or there is a permission problem with /dev/vboxdrv. Please reinstall the kernel module by executing

'[CODE]/etc/init.d/vboxdrv setup
'

as root. If it is available in your distribution, you should install the DKMS package first. This package keeps track of Linux kernel changes and recompiles the vboxdrv kernel module if necessary.
[/CODE]
When '
Code:
/etc/init.d/vboxdrv setup
'
got this
Code:
Stopping VirtualBox kernel modules ...done.
Uninstalling old VirtualBox DKMS kernel modules/etc/init.d/vboxdrv: 302: /etc/init.d/vboxdrv: /usr/share/virtualbox/src/vboxhost/do_dkms: not found
 ...done.
Trying to register the VirtualBox kernel modules using DKMS/etc/init.d/vboxdrv: 327: /etc/init.d/vboxdrv: /usr/share/virtualbox/src/vboxhost/do_dkms: not found
 ...failed!
  (Failed, trying without DKMS)
Recompiling VirtualBox kernel modules ...failed!
  (Look at /var/log/vbox-install.log to find out what went wrong)
And this is what in
Code:
/etc/init.d/vboxdrv: 334: /etc/init.d/vboxdrv: /usr/share/virtualbox/src/vboxhost/build_in_tmp: not found

did you try installing the latest virtualbox? Default virtualbox in kali is pretty much broken.
http://download.virtualbox.org/virt...box-5.0_5.0.14-105127~Debian~jessie_amd64.deb
Uninstall the old one:
Code:
apt-get purge virtualbox
Install the newer one:
Code:
dpkg -i [I]<virtualbox deb file>[/I]
 
OP
TechnoBOY

TechnoBOY

Padawan
did you try installing the latest virtualbox? Default virtualbox in kali is pretty much broken.
http://download.virtualbox.org/virt...box-5.0_5.0.14-105127~Debian~jessie_amd64.deb
Uninstall the old one:
Code:
apt-get purge virtualbox
Install the newer one:
Code:
dpkg -i [I]<virtualbox deb file>[/I]
I get some error related to dkms

Downloaded 5.0 Debian~wheezy and tried to install
Code:
Selecting previously unselected package virtualbox-5.0.
(Reading database ... 299059 files and directories currently installed.)
Preparing to unpack .../virtualbox-5.0_5.0.14-105127~Debian~wheezy_i386.deb ...
Unpacking virtualbox-5.0 (5.0.14-105127~Debian~wheezy) ...
Setting up virtualbox-5.0 (5.0.14-105127~Debian~wheezy) ...
Adding group `vboxusers' (GID 142) ...
Done.
Stopping VirtualBox kernel modules ...done.
Uninstalling old VirtualBox DKMS kernel modules ...done.
Trying to register the VirtualBox kernel modules using DKMSError! echo
Your kernel headers for kernel 4.3.0-kali1-686-pae cannot be found at
/lib/modules/4.3.0-kali1-686-pae/build or /lib/modules/4.3.0-kali1-686-pae/source.
 ...failed!
  (Failed, trying without DKMS)
Recompiling VirtualBox kernel modules ...failed!
  (Look at /var/log/vbox-install.log to find out what went wrong)
Processing triggers for systemd (228-4) ...
Processing triggers for hicolor-icon-theme (0.13-1) ...
Processing triggers for shared-mime-info (1.5-2) ...
Processing triggers for gnome-menus (3.13.3-6) ...
Processing triggers for desktop-file-utils (0.22-1) ...
Processing triggers for mime-support (3.59) ...
 

Desmond

Destroy Erase Improve
Staff member
Admin
Hmm.

What architecture of Kali are your running, i686 or x86_64?

- - - Updated - - -

Update:

I tried installing Virtualbox on my machine. I got the message "You must load vboxdrv module before starting VirtualBox:"

vboxdrv can be loaded by running "modprobe vboxdrv"

Try this and run VirtualBox again.
 
OP
TechnoBOY

TechnoBOY

Padawan
Hmm.

What architecture of Kali are your running, i686 or x86_64?

- - - Updated - - -

Update:

I tried installing Virtualbox on my machine. I got the message "You must load vboxdrv module before starting VirtualBox:"

vboxdrv can be loaded by running "modprobe vboxdrv"

Try this and run VirtualBox again.
i686

Code:
modprobe: FATAL: Module vboxdrv not found.

- - - Updated - - -

By the mean time let me try VMware
 

Desmond

Destroy Erase Improve
Staff member
Admin
Dude, why did you install i686? It's for the older Pentium and Celeron architecture CPUs. No wonder you are having trouble finding dependencies. I doubt VMWare would run well either.

Install the x86_64 version of Kali and then try.

Edit: In other words x86_64 is for all modern 64-bit CPUs.

That vboxdrv module is probably not available for i686 architecture.

Sent from my A0001 using Tapatalk
 
OP
TechnoBOY

TechnoBOY

Padawan
Dude, why did you install i686? It's for the older Pentium and Celeron architecture CPUs. No wonder you are having trouble finding dependencies. I doubt VMWare would run well either.

Install the x86_64 version of Kali and then try.

Edit: In other words x86_64 is for all modern 64-bit CPUs.

That vboxdrv module is probably not available for i686 architecture.

Sent from my A0001 using Tapatalk
How can I run x86_64 on 32 bit CPU?Its my old laptop..

Sent from my SM-G7102 using Tapatalk
 
Top Bottom